Skip to main content
PATCH
/
v1
/
intent
/
audiences
/
{id}
Update a saved audience
curl --request PATCH \
  --url https://api.aws53.cloud/v1/intent/audiences/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "status": "active",
  "config": {
    "topicIds": [
      123
    ],
    "minScore": 50,
    "maxScore": 50,
    "minTopicOverlap": 5,
    "filters": {
      "companyIndustry": [
        "<string>"
      ],
      "seniority": [
        "<string>"
      ],
      "companySize": [
        "<string>"
      ],
      "department": [
        "<string>"
      ],
      "state": "<string>",
      "companyRevenueRange": [
        "<string>"
      ],
      "ageRange": [
        "<string>"
      ],
      "gender": "<string>",
      "isB2b": "y",
      "jobTitle": "<string>",
      "hasBusinessEmail": true,
      "hasPersonalEmail": true,
      "hasLinkedin": true,
      "hasPhone": true,
      "companyDomain": "<string>",
      "companyName": "<string>"
    },
    "sourceUrl": "<string>"
  },
  "audienceSize": 123
}
'
{
  "data": "<unknown>"
}

Authorizations

X-API-Key
string
header
required

Organization API key (sk_...). Get yours from Settings > API Keys in the dashboard.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 255
status
enum<string>
Available options:
active,
paused,
draft
config
object
audienceSize
integer

Response

200 - application/json

Audience updated

data
any